# $Revision: 1.98 $, $Date: 2012/06/20 13:48:57 $
# TODO:
# - separate 3 subpackages: common files, administration and client frontend
# - all otrs-var into /var/lib/otrs
# - put cron in proper place
# - write not so brain-damage init-script...
# - do not provide system perl deps:
#   perl-MailTools-2.08-1.noarch: required "perl(Net::SMTP::SSL)" is provided by the following packages:
#   a) otrs-3.0.11-1.noarch
#   b) perl-Net-SMTP-SSL-1.01-1.noarch
%include	/usr/lib/rpm/macros.perl
Summary:	The Open Ticket Request System
Summary(pl.UTF-8):	Open Ticket Request System - otwarty system zgłaszania żądań
Name:		otrs
Version:	3.1.6
Release:	3
Epoch:		1
License:	GPL
Group:		Applications/Databases
Source0:	http://ftp.otrs.org/pub/otrs/%{name}-%{version}.tar.bz2
# Source0-md5:	59c64e88d52c48e570a00d7feb265921
Source1:	%{name}-logrotate
Source2:	%{name}.sysconfig
Patch0:		%{name}-paths.patch
URL:		http://otrs.org/
BuildRequires:	rpm-perlprov
BuildRequires:	rpmbuild(macros) >= 1.268
Requires(pre):	/bin/id
Requires(pre):	/usr/sbin/useradd
Requires(pre):	/usr/sbin/usermod
Requires:	apache(mod_perl)
Requires:	perl-Crypt-PasswdMD5
Requires:	perl-DBD-mysql
Requires:	perl-DBI
Requires:	perl-Text-CSV
Requires:	procmail
Requires:	smtpdaemon
Requires:	webapps
Requires:	webserver = apache
Suggests:	perl-PDF-API2
Conflicts:	logrotate < 3.7-4
BuildArch:	noarch
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

# This auto don't work , i'm lame
%define		_noautoreq	perl(Kernel::.*)
%define		_noautoprov	perl(Kernel::.*) perl(YAML::.*)

%define		otrsdir		%{_datadir}/otrs
%define		otrsuser	otrs
%define		_webapps	/etc/webapps
%define		_webapp		%{name}

%description
OTRS is an Open source Ticket Request System with many features to
manage customer telephone calls and e-mails. It is distributed under
the GNU General Public License (GPL) and tested on Linux, Solaris,
AIX, FreeBSD and MacOS X. Do you receive many e-mails and want to
answer them with a team of agents? You're going to love the OTRS!

Feature list:
- web-interface: easy and logical to use, with agent, admin and
  customer views, themes support, multi language support, customizable
  templates, attachments support
- email-interface with MIME attachments support, dispatching mail via
  address or x-header, autoresponders for customers, notifications to
  the agent
- tickets with customizable views, locking, replying, autoresponders,
  history, ability to add notes, email bouncing/forwarding, priorities,
  time accounting, content full-text search
- system with creation and configuration of user accounts, groups,
  standard responses, signatures, notifications for administrators and
  problem reporters, deadlines for trouble tickets, settable ticket
  number format, different levels of permissions/access-rights, central
  database (MySQL, PostgreSQL, ...), user authentication against
  database or LDAP directory, easy addons and frontends development.

%description -l pl.UTF-8
OTRS (Open source Ticket Request System) to wolnodostępny system
zgłaszania żądań z wieloma możliwościami zarządzania telefonami i
e-mailami od klientów. Jest rozpowszechniany na Powszechnej Licencji
Publicznej GNU (GPL) i testowany na Linuksie, Solarisie, AIX-ie,
FreeBSD i MacOS X. Jeśli otrzymujemy wiele e-maili i chcemy odpowiadać
na nie poprzez zespół agentów, to OTRS może się okazać bardzo dobrym
narzędziem.

Lista możliwości:
- interfejs WWW: łatwy i logiczny w użyciu, z widokami dla agentów,
  administratorów i klientów, obsługą motywów, obsługą wielu języków,
  modyfikowalnymi szablonami, obsługą załączników
- interfejs e-mailowy z obsługą załączników MIME, obsługą poczty w
  zależności od adresu lub x-nagłówków, autoresponderami dla klientów,
  powiadomieniami dla agentów
- bilety z konfigurowalnymi widokami, blokowaniem, odpowiadaniem,
  autoresponderami, historią, możliwością dodawania notatek,
  odbijaniem/przekierowywaniem poczty, priorytetami, rozliczaniem czasu,
  pełnotekstowym przeszukiwaniem zawartości
- system z tworzeniem i konfiguracją kont użytkowników, grup,
  standardowych odpowiedzi, sygnaturek, powiadomieniami dla
  administratorów i zgłaszających problemy, ostatecznymi terminami dla
  problematycznych biletów, ustawialnym formatem numerowania biletów,
  różnymi poziomami uprawnień/praw dostępu, centralną bazą danych
  (MySQL, PostgreSQL...), uwierzytelnianiem użytkowników przy użyciu
  bazy danych lub katalogu LDAP, łatwym tworzeniem dodatków i
  frontendów.

%package scripts
Summary:	OTRS scripts
Summary(pl.UTF-8):	Skrypty dla OTRS
Group:		Applications/Databases
Requires:	%{name} = %{epoch}:%{version}-%{release}

%description scripts
Various scripts for OTRS.

%description scripts -l pl.UTF-8
Różne skrypty dla OTRS.

%prep
%setup -q
%patch0 -p1

# copy config file
cp Kernel/Config/GenericAgent.pm.dist Kernel/Config/GenericAgent.pm
cd Kernel/Config/ && for foo in *.dist; do cp $foo `basename $foo .dist`; done && cd ../../
# copy all crontab dist files
for foo in var/cron/*.dist; do mv $foo var/cron/`basename $foo .dist`; done

# Remove regular CPAN libs - only HTML/Safe.pm has to stay, I can't find it...
rm -Rf Kernel/cpan-lib/{Authen,Date,Email,IO,MIME,Mail,XML,auto}
# Remove junk:
rm -Rf doc/manual/*/sgml/
rm -Rf doc/manual/de/

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT/etc/{logrotate.d,rc.d/init.d,sysconfig,%{name}/Config,logrotate.d} \
	$RPM_BUILD_ROOT{/var/log/{,archive/}%{name},%{_bindir},%{otrsdir}} \
	$RPM_BUILD_ROOT/var/lib/%{name}/{article,pics/stats} \
	$RPM_BUILD_ROOT%{_webapps}/%{_webapp}

# copy files
cp -R . $RPM_BUILD_ROOT%{otrsdir}

# install init-Script & apache2 config
install scripts/redhat-rcotrs $RPM_BUILD_ROOT/etc/rc.d/init.d/otrs
install %{SOURCE2} $RPM_BUILD_ROOT/etc/sysconfig/otrs

install scripts/apache2-httpd.include.conf $RPM_BUILD_ROOT%{_webapps}/%{_webapp}/httpd.conf

install %{SOURCE1} $RPM_BUILD_ROOT/etc/logrotate.d/%{name}

# logs in proper place:
touch $RPM_BUILD_ROOT/var/log/%{name}/TicketCounter.log
touch $RPM_BUILD_ROOT/var/log/%{name}/otrs.log

# move configs into proper place...
mv -f $RPM_BUILD_ROOT%{otrsdir}/.procmailrc.dist $RPM_BUILD_ROOT/etc/%{name}/procmailrc
mv -f $RPM_BUILD_ROOT%{otrsdir}/.fetchmailrc.dist $RPM_BUILD_ROOT/etc/%{name}/fetchmailrc
mv -f $RPM_BUILD_ROOT%{otrsdir}/.mailfilter.dist $RPM_BUILD_ROOT/etc/%{name}/mailfilter
mv -f $RPM_BUILD_ROOT%{otrsdir}/Kernel/Config.pm.dist $RPM_BUILD_ROOT/etc/%{name}/Config.pm
mv -f $RPM_BUILD_ROOT%{otrsdir}/Kernel/Config/GenericAgent.pm $RPM_BUILD_ROOT/etc/%{name}
# save dist versions
# TODO: drop .dist and rely on rpm %config(noreplace) feature
install $RPM_BUILD_ROOT/etc/%{name}/procmailrc $RPM_BUILD_ROOT/etc/%{name}/procmailrc.dist
install $RPM_BUILD_ROOT/etc/%{name}/fetchmailrc $RPM_BUILD_ROOT/etc/%{name}/fetchmailrc.dist
install $RPM_BUILD_ROOT/etc/%{name}/mailfilter $RPM_BUILD_ROOT/etc/%{name}/mailfilter.dist
install $RPM_BUILD_ROOT/etc/%{name}/Config.pm $RPM_BUILD_ROOT/etc/%{name}/Config.pm.dist
install $RPM_BUILD_ROOT/etc/%{name}/GenericAgent.pm $RPM_BUILD_ROOT/etc/%{name}/GenericAgent.pm.dist
# File for on-line configuration:
touch $RPM_BUILD_ROOT/etc/%{name}/ZZZAAuto.pm
ln -sf ../../../../../../etc/otrs/ZZZAAuto.pm $RPM_BUILD_ROOT%{otrsdir}/Kernel/Config/Files/ZZZAAuto.pm
# link to proper places
ln -sf ../../../etc/otrs/procmailrc $RPM_BUILD_ROOT%{otrsdir}/.procmailrc
ln -sf ../../../etc/otrs/fetchmailrc $RPM_BUILD_ROOT%{otrsdir}/.fetchmailrc
ln -sf ../../../etc/otrs/mailfilter $RPM_BUILD_ROOT%{otrsdir}/.mailfilter
ln -sf ../../../../etc/otrs/Config.pm $RPM_BUILD_ROOT%{otrsdir}/Kernel/Config.pm
ln -sf ../../../../../etc/otrs/GenericAgent.pm $RPM_BUILD_ROOT%{otrsdir}/Kernel/Config/GenericAgent.pm

# Cleanup junk:
rm -f $RPM_BUILD_ROOT%{otrsdir}/scripts/apache* $RPM_BUILD_ROOT%{otrsdir}/scripts/redhat* $RPM_BUILD_ROOT%{otrsdir}/scripts/suse*
rm -rf $RPM_BUILD_ROOT%{otrsdir}/scripts/auto* $RPM_BUILD_ROOT%{otrsdir}/scripts/test
rm -rf $RPM_BUILD_ROOT%{otrsdir}/doc

# Needed for apache2:
install scripts/apache2-perl-startup.pl	$RPM_BUILD_ROOT%{otrsdir}/scripts/apache2-perl-startup

%clean
rm -rf $RPM_BUILD_ROOT

%pre
%useradd -u 31 -d %{otrsdir} -s /bin/false -g http -c 'OTRS System user' %{otrsuser}

# TODO move to trigger?
# update home dir
/usr/sbin/usermod -d %{otrsdir} %{otrsuser}

%post
if [ "$1" = 0 ]; then
	# note
%banner -e %{name} <<EOF
[install the OTRS database]
 Use a webbrowser and open this link: http://`hostname -f`/otrs/installer.pl
EOF
fi

%triggerin -- apache < 2.2.0, apache-base
%webapp_register httpd %{_webapp}

%triggerun -- apache < 2.2.0, apache-base
%webapp_unregister httpd %{_webapp}

%triggerpostun -- %{name} < 1:2.0.4-0.5
# nuke very-old config location (this mostly for Ra)
if [ -f /etc/httpd/httpd.conf ]; then
	sed -i -e "/^Include.*%{name}.conf/d" /etc/httpd/httpd.conf
fi

# apache2 config
if [ -f /etc/httpd/httpd.conf/88_otrs.conf.rpmsave ]; then
	cp -f %{_webapps}/%{_webapp}/httpd.conf{,.rpmnew}
	mv -f /etc/httpd/httpd.conf/88_otrs.conf.rpmsave %{_webapps}/%{_webapp}/httpd.conf
fi

/usr/sbin/webapp register httpd %{_webapp}
%service -q httpd reload

%files
%defattr(644,root,root,755)
%doc ARCHIVE CHANGES  COPYING  COPYING-Third-Party CREDITS doc/ README README.database README.webserver RELEASE UPGRADING
%doc scripts/test Kernel/Config/GenericAgent.pm.examples
%config(noreplace) %verify(not md5 mtime size) /etc/sysconfig/otrs
%attr(751,otrs,http) %dir %{_sysconfdir}/%{name}
%attr(751,otrs,http) %dir %{_sysconfdir}/%{name}/Config/
%attr(644,otrs,http) %config(noreplace) %verify(not md5 mtime size) %{_sysconfdir}/%{name}/procmailrc
%attr(710,otrs,http) %config(noreplace) %verify(not md5 mtime size) %{_sysconfdir}/%{name}/fetchmailrc
%attr(600,otrs,http) %config(noreplace) %verify(not md5 mtime size) %{_sysconfdir}/%{name}/mailfilter
%attr(660,otrs,http) %config(noreplace) %verify(not md5 mtime size) %{_sysconfdir}/%{name}/Config.pm
%attr(640,otrs,http) %config(noreplace) %verify(not md5 mtime size) %{_sysconfdir}/%{name}/GenericAgent.pm
%attr(660,otrs,http) %config(noreplace) %verify(not md5 mtime size) %{_sysconfdir}/%{name}/ZZZAAuto.pm
%attr(640,otrs,http) %{_sysconfdir}/%{name}/*.dist
%attr(644,otrs,http) %config(noreplace) %verify(not md5 mtime size) %{otrsdir}/var/cron/*
%attr(754,root,root) /etc/rc.d/init.d/%{name}
%attr(640,root,root) %config(noreplace) %verify(not md5 mtime size) /etc/logrotate.d/%{name}
%attr(755,otrs,http) %dir %{otrsdir}
%{otrsdir}/RELEASE
%{otrsdir}/.procmailrc
%{otrsdir}/.fetchmailrc
%{otrsdir}/.mailfilter
%dir %{otrsdir}/Kernel
%{otrsdir}/Kernel/Config.pm
%dir %{otrsdir}/Kernel/Config
%{otrsdir}/Kernel/Config/Defaults.pm
%{otrsdir}/Kernel/Config/GenericAgent.pm
%dir %{otrsdir}/Kernel/Config/Files
%{otrsdir}/Kernel/Config/Files/*.pm
%{otrsdir}/Kernel/Config/Files/*.xml
%dir %{otrsdir}/Kernel/GenericInterface
%{otrsdir}/Kernel/GenericInterface/*.pm
%dir %{otrsdir}/Kernel/GenericInterface/Event
%dir %{otrsdir}/Kernel/GenericInterface/Invoker
%dir %{otrsdir}/Kernel/GenericInterface/Invoker/Test
%dir %{otrsdir}/Kernel/GenericInterface/Mapping
%dir %{otrsdir}/Kernel/GenericInterface/Operation
%dir %{otrsdir}/Kernel/GenericInterface/Operation/Session
%dir %{otrsdir}/Kernel/GenericInterface/Operation/Test
%dir %{otrsdir}/Kernel/GenericInterface/Operation/Ticket
%dir %{otrsdir}/Kernel/GenericInterface/Transport
%dir %{otrsdir}/Kernel/GenericInterface/Transport/HTTP
%{otrsdir}/Kernel/*.pm
%{otrsdir}/Kernel/*/*/*.pm
%{otrsdir}/Kernel/*/*/*/*.pm
%dir %{otrsdir}/Kernel/Language
%{otrsdir}/Kernel/Language/*.pm
%{otrsdir}/Kernel/Modules
%{otrsdir}/Kernel/Modules/*.pm
%dir %{otrsdir}/Kernel/Output
%dir %{otrsdir}/Kernel/Output/HTML
%{otrsdir}/Kernel/Output/HTML/*.pm
%dir %{otrsdir}/Kernel/Output/HTML/Standard
%attr(644,otrs,http) %config(noreplace) %{otrsdir}/Kernel/Output/HTML/Standard/*.dtl
%dir %{otrsdir}/Kernel/Scheduler
%{otrsdir}/Kernel/Scheduler/*.pm
%dir %{otrsdir}/Kernel/Scheduler/TaskHandler
%{otrsdir}/Kernel/Scheduler/TaskHandler/*.pm
%dir %{otrsdir}/Kernel/System
%{otrsdir}/Kernel/System/*.pm
%dir %{otrsdir}/Kernel/System/Auth
%dir %{otrsdir}/Kernel/System/Auth/Sync
%dir %{otrsdir}/Kernel/System/AuthSession
%dir %{otrsdir}/Kernel/System/Cache
%dir %{otrsdir}/Kernel/System/Crypt
%dir %{otrsdir}/Kernel/System/CustomerAuth
%dir %{otrsdir}/Kernel/System/CustomerUser
%dir %{otrsdir}/Kernel/System/CustomerUser/Preferences
%dir %{otrsdir}/Kernel/System/DB
%dir %{otrsdir}/Kernel/System/DynamicField
%dir %{otrsdir}/Kernel/System/DynamicField/Backend
%dir %{otrsdir}/Kernel/System/DynamicField/ObjectType
%dir %{otrsdir}/Kernel/System/Email
%dir %{otrsdir}/Kernel/System/GenericAgent
%dir %{otrsdir}/Kernel/System/GenericInterface
%dir %{otrsdir}/Kernel/System/LinkObject
%dir %{otrsdir}/Kernel/System/Log
%dir %{otrsdir}/Kernel/System/MailAccount
%dir %{otrsdir}/Kernel/System/PostMaster
%dir %{otrsdir}/Kernel/System/PostMaster/LoopProtection
%dir %{otrsdir}/Kernel/System/PostMaster/Filter
%dir %{otrsdir}/Kernel/System/Queue
%dir %{otrsdir}/Kernel/System/Scheduler
%dir %{otrsdir}/Kernel/System/SLA
%dir %{otrsdir}/Kernel/System/Service
%dir %{otrsdir}/Kernel/System/Stats
%dir %{otrsdir}/Kernel/System/Stats/Static
%dir %{otrsdir}/Kernel/System/Stats/Dynamic
%dir %{otrsdir}/Kernel/System/SysConfig
%dir %{otrsdir}/Kernel/System/Ticket
%dir %{otrsdir}/Kernel/System/Ticket/Acl
%dir %{otrsdir}/Kernel/System/Ticket/ArticleSearchIndex
%dir %{otrsdir}/Kernel/System/Ticket/CustomerPermission
%dir %{otrsdir}/Kernel/System/Ticket/Event
%dir %{otrsdir}/Kernel/System/Ticket/Permission
%dir %{otrsdir}/Kernel/System/Ticket/IndexAccelerator
%dir %{otrsdir}/Kernel/System/Ticket/Number
%dir %{otrsdir}/Kernel/System/UnitTest
%dir %{otrsdir}/Kernel/System/User
%dir %{otrsdir}/Kernel/System/User/Preferences
%dir %{otrsdir}/Kernel/System/Web
%dir %{otrsdir}/Kernel/System/Web/UploadCache
%dir %{otrsdir}/Kernel/System/VirtualFS
%dir %{otrsdir}/Kernel/cpan-lib
%{otrsdir}/Kernel/cpan-lib/*.pm
%dir %{otrsdir}/Kernel/cpan-lib/Algorithm
%dir %{otrsdir}/Kernel/cpan-lib/Apache
%dir %{otrsdir}/Kernel/cpan-lib/Apache2
%dir %{otrsdir}/Kernel/cpan-lib/CGI
%dir %{otrsdir}/Kernel/cpan-lib/Class
%dir %{otrsdir}/Kernel/cpan-lib/Class/Inspector
%dir %{otrsdir}/Kernel/cpan-lib/Crypt
%dir %{otrsdir}/Kernel/cpan-lib/CSS
%dir %{otrsdir}/Kernel/cpan-lib/Digest
%dir %{otrsdir}/Kernel/cpan-lib/Digest/SHA
%dir %{otrsdir}/Kernel/cpan-lib/Encode
%dir %{otrsdir}/Kernel/cpan-lib/File
%dir %{otrsdir}/Kernel/cpan-lib/HTTP
%dir %{otrsdir}/Kernel/cpan-lib/HTTP/Headers
%dir %{otrsdir}/Kernel/cpan-lib/HTTP/Request
%dir %{otrsdir}/Kernel/cpan-lib/JSON
%dir %{otrsdir}/Kernel/cpan-lib/JSON/PP
%dir %{otrsdir}/Kernel/cpan-lib/JSON/backportPP
%dir %{otrsdir}/Kernel/cpan-lib/JavaScript
%dir %{otrsdir}/Kernel/cpan-lib/LWP
%dir %{otrsdir}/Kernel/cpan-lib/LWP/Authen
%dir %{otrsdir}/Kernel/cpan-lib/LWP/Protocol
%dir %{otrsdir}/Kernel/cpan-lib/Locale
%dir %{otrsdir}/Kernel/cpan-lib/Locale/Codes
%dir %{otrsdir}/Kernel/cpan-lib/Mozilla
%dir %{otrsdir}/Kernel/cpan-lib/Mozilla/CA
%{otrsdir}/Kernel/cpan-lib/Mozilla/CA/cacert.pem
%dir %{otrsdir}/Kernel/cpan-lib/Net
%dir %{otrsdir}/Kernel/cpan-lib/Net/IMAP
%dir %{otrsdir}/Kernel/cpan-lib/Net/IMAP/Simple
%{otrsdir}/Kernel/cpan-lib/Net/IMAP/Simple/*.pm
%dir %{otrsdir}/Kernel/cpan-lib/Net/POP3
%dir %{otrsdir}/Kernel/cpan-lib/Net/SMTP
%dir %{otrsdir}/Kernel/cpan-lib/Net/SMTP/TLS
%{otrsdir}/Kernel/cpan-lib/Net/SMTP/TLS/*.pm
%dir %{otrsdir}/Kernel/cpan-lib/Proc
%dir %{otrsdir}/Kernel/cpan-lib/SOAP
%dir %{otrsdir}/Kernel/cpan-lib/SOAP/Lite
%dir %{otrsdir}/Kernel/cpan-lib/SOAP/Lite/Deserializer
%{otrsdir}/Kernel/cpan-lib/SOAP/Lite/Deserializer/*.pm
%dir %{otrsdir}/Kernel/cpan-lib/SOAP/Transport
%dir %{otrsdir}/Kernel/cpan-lib/Text
%dir %{otrsdir}/Kernel/cpan-lib/Text/Diff
%dir %{otrsdir}/Kernel/cpan-lib/URI
%dir %{otrsdir}/Kernel/cpan-lib/URI/file
%dir %{otrsdir}/Kernel/cpan-lib/URI/urn
%dir %{otrsdir}/Kernel/cpan-lib/YAML
%dir %{otrsdir}/Kernel/cpan-lib/YAML/Dumper
%dir %{otrsdir}/Kernel/cpan-lib/YAML/Loader
%dir %{otrsdir}/bin
%attr(700,otrs,root) %{otrsdir}/bin/*.pl
%attr(700,otrs,root) %{otrsdir}/bin/*.sh
%attr(700,otrs,root) %{otrsdir}/bin/otrs.*
%dir %{otrsdir}/bin/cgi-bin/
%attr(750,root,http) %{otrsdir}/bin/cgi-bin/*.pl
%dir %{otrsdir}/bin/fcgi-bin/
%attr(750,root,http) %{otrsdir}/bin/fcgi-bin/*.pl
%{otrsdir}/INSTALL
%dir %{otrsdir}/scripts
%dir %{otrsdir}/scripts/database
%{otrsdir}/scripts/*.sql
%{otrsdir}/scripts/apache2-perl-startup
%{otrsdir}/scripts/database/*
%attr(751,otrs,http) %dir /var/log/%{name}
%attr(751,otrs,http) %dir /var/log/archive/%{name}
%attr(664,otrs,http) %config(noreplace) %verify(not md5 mtime size) /var/log/otrs/otrs.log
%attr(664,otrs,http) %config(noreplace) %verify(not md5 mtime size) /var/log/otrs/TicketCounter.log
# This entries should be changed into links and proper trigger to move data:
%attr(751,otrs,http) %dir %{otrsdir}/var/
%{otrsdir}/var/*.png
%attr(755,otrs,http) %dir %{otrsdir}/var/cron
%attr(2775,otrs,http) %{otrsdir}/var/article
%attr(755,otrs,http) %{otrsdir}/var/fonts
%attr(755,otrs,http) %{otrsdir}/var/httpd
%attr(755,otrs,http) %{otrsdir}/var/sessions
%attr(755,otrs,http) %{otrsdir}/var/spool
%attr(755,otrs,http) %{otrsdir}/var/stats
%attr(2775,otrs,http) %{otrsdir}/var/tmp
# attempt to move to /var/lib:
%attr(751,otrs,http) %dir /var/lib/%{name}
%attr(2775,otrs,http) %dir /var/lib/%{name}/article
%attr(751,otrs,http) %dir /var/lib/%{name}/pics
%attr(751,otrs,http) %dir /var/lib/%{name}/pics/stats

%dir %attr(750,root,http) %{_webapps}/%{_webapp}
%attr(640,root,root) %config(noreplace) %verify(not md5 mtime size) %{_webapps}/%{_webapp}/httpd.conf

%files scripts
%defattr(644,root,root,755)
%attr(700,otrs,http) %{otrsdir}/scripts/*.pl
%attr(700,otrs,http) %{otrsdir}/scripts/tools/*.pl
%{otrsdir}/scripts/*.pm
%dir %{otrsdir}/scripts/tools

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: otrs.spec,v $
Revision 1.98  2012/06/20 13:48:57  paszczus
- fixed _noautoprov, thx arekm ; rel 3

Revision 1.97  2012/06/20 13:06:47  paszczus
- fixed P: perl(YAML::ANY); release 2

Revision 1.96  2012/06/11 08:20:26  paszczus
- updated to 3.1.6

Revision 1.95  2012/04/04 08:20:12  paszczus
- updated to 3.1.3

Revision 1.94  2012/01/17 09:08:28  paszczus
- use fixed sysconfig

Revision 1.93  2011/12/12 11:45:20  glen
- P perl(Net::SMTP::SSL) is stupid and bad

Revision 1.92  2011/11/18 13:41:54  paszczus
- added S: perl-PDF-API2, cleanup

Revision 1.91  2011/11/16 09:07:33  paszczus
- removed unused Sources

Revision 1.90  2011/11/16 08:47:20  paszczus
- release 1

Revision 1.89  2011/11/04 08:54:32  paszczus
- updated to 3.0.11
- fixed permissions for installer.pl
- removed support for Apache1 (bcond never used)

Revision 1.88  2011/11/03 10:47:18  paszczus
- fixed %dir

Revision 1.87  2011/11/03 10:40:55  paszczus
- updated to 3.0.5

Revision 1.86  2011/11/03 09:34:57  paszczus
- added missing %dir

Revision 1.85  2011/11/03 09:14:55  paszczus
- updated to 2.4.12

Revision 1.84  2009/09/06 09:56:09  amateja
- reverted

Revision 1.82  2009/08/19 11:09:12  amateja
- updated to 2.4.3

Revision 1.81  2009/02/11 12:21:48  blues
- fixed for apache

Revision 1.80  2009/02/11 11:45:34  blues
- 2.3.4 - started update

Revision 1.79  2008/02/03 20:54:22  djrzulf
- paths fixed patch,

Revision 1.78  2008-02-03 20:31:26  djrzulf
- fixed %dir,

Revision 1.77  2008-02-03 11:15:35  djrzulf
- now builds,

Revision 1.76  2008-02-03 11:10:38  djrzulf
- started update to 2.2.5,

Revision 1.75  2007-12-25 21:55:19  zbyniu
- up to 2.0.5

Revision 1.74  2007-09-11 12:30:07  gotar
- oops, it's 3.7-4 not 3.7.4

Revision 1.73  2007/09/11 12:15:57  gotar
- C: logrotate < 3.7.4 due to archiv -> archive transition

Revision 1.72  2007/04/02 17:29:46  baggins
- more s|/var/log/archiv|/var/log/archive|g

Revision 1.71  2007/04/02 16:55:17  baggins
- s|/var/log/archiv|/var/log/archive|g

Revision 1.70  2007/02/13 07:16:51  glen
- tabs in preamble

Revision 1.69  2007/02/12 00:49:18  baggins
- converted to UTF-8

Revision 1.68  2006/10/01 18:52:50  glen
- rel 3

Revision 1.67  2006/09/29 21:25:58  glen
- update webapp triggers due apache1 package split

Revision 1.66  2006/09/08 18:03:19  glen
- rel 2 (rebuild with fixed %useradd/%groupadd macros)

Revision 1.65  2006/04/15 13:38:01  glen
- webapps support, rel 1

Revision 1.64  2006/02/28 08:51:59  luzik
- security update to 2.0.4
- STBR for sec.

Revision 1.63  2005/12/13 14:11:32  glen
- adapterized (sorted %verify attrs)

Revision 1.62  2005/11/20 22:56:51  glen
- use virtual webserver provide. well at least try

Revision 1.61  2005/11/07 08:53:41  blues
- added config for online configuration

Revision 1.60  2005/11/04 11:04:10  luzik
- added missed dirs

Revision 1.59  2005/11/04 08:56:36  blues
- proper internal deps, own your dirs

Revision 1.58  2005/11/03 15:23:23  blues
- play with bundled CPAN modules. Is HTML::Safe avaible in CPAN??

Revision 1.57  2005/11/03 13:10:11  blues
- cometics

Revision 1.56  2005/11/03 09:54:43  luzik
- updated to 2.0.3, not tested

Revision 1.55  2005/05/01 17:31:30  glen
- use %useradd/%groupadd macros

Revision 1.54  2004/11/26 09:14:08  blues
- no need to give write access for otrs user

Revision 1.53  2004/11/26 08:45:14  luzik
- fixed %files

Revision 1.52  2004/11/19 09:38:50  blues
- dirs in /var

Revision 1.51  2004/11/19 08:48:12  blues
- trigger informing about needed upgrade

Revision 1.50  2004/11/05 07:37:12  luzik
- updated to 1.3.2

Revision 1.49  2004/10/14 07:16:28  luzik
- updated to 3.1

Revision 1.48  2004/10/13 13:49:29  blues
- reorder install

Revision 1.47  2004/10/13 12:41:32  blues
- typo

Revision 1.46  2004/10/12 13:05:25  blues
- make it working with apache2

Revision 1.45  2004/10/12 07:27:36  blues
- URL

Revision 1.44  2004/09/26 21:23:11  paszczus
- cleanups

Revision 1.43  2004/09/23 11:51:32  kolodko
- added macros in /etc/logrotate.d

Revision 1.42  2004/08/13 07:10:12  blues
- added /var/log/archive/otrs dir, more macros

Revision 1.41  2004/08/11 21:32:07  blues
- typo

Revision 1.40  2004/08/11 08:59:47  luzik
- fixed %files

Revision 1.39  2004/08/11 08:01:42  luzik
- removed pl.pm source

Revision 1.38  2004/08/11 07:46:50  luzik
- added logrotate files
- added _noauto{req,prov} perl(Kernel::.*) macro
- move some conf to /etc
- added some examples files to %doc
- rel. 0.2

Revision 1.37  2004/08/09 07:15:37  luzik
- small fix

Revision 1.36  2004/08/09 07:14:07  luzik
- updated to 1.2.4
- rel. 0.1

Revision 1.35  2004/04/29 13:34:09  blues
- next potion

Revision 1.34  2004/04/29 12:48:17  blues
- dont hide configs

Revision 1.33  2004/04/29 10:59:12  blues
- started moving configs to /etc

Revision 1.32  2004/04/29 09:46:11  blues
- require proper versions of apache

Revision 1.31  2004/04/26 12:00:26  blues
- default_conf patch added, some more human-like logs location, more TODO
  left to be filled in this default configuration

Revision 1.30  2004/04/26 11:23:39  blues
- small fix

Revision 1.29  2004/04/26 10:49:43  blues
- better, cleaner instalation

Revision 1.28  2004/04/26 10:48:19  blues
- reparated scripts package

Revision 1.27  2004/03/26 11:14:57  luzik
- added full pl translation
- httpd restart in post

Revision 1.26  2004/03/18 10:14:48  blues
- no fetchmail required

Revision 1.25  2004/03/18 10:08:49  blues
- cosmetics

Revision 1.24  2004/03/18 09:43:14  luzik
- added PLD config

Revision 1.23  2004/03/18 09:40:24  qboosh
- one / is enough for otrsdir start

Revision 1.22  2004/03/18 09:28:53  luzik
- moved to /usr/share

Revision 1.21  2004/03/18 08:36:30  luzik
- added httpd.conf include files

Revision 1.20  2004/03/15 20:00:04  luzik
- updated TODO
- re. 0.2

Revision 1.19  2004/03/15 10:57:48  blues
- typo

Revision 1.18  2004/03/15 10:54:53  blues
- cosmetics

Revision 1.17  2004/03/15 10:51:12  blues
- it's noarch

Revision 1.16  2004/03/15 10:45:56  luzik
- patch added
- log fixed

Revision 1.15  2004/03/15 09:37:57  luzik
- added bcond with apache1
- clean

Revision 1.14  2004/03/14 20:15:17  luzik
- work, need clean

Revision 1.13  2004/03/12 08:48:21  luzik
- updated to 1.2.2, NFY

Revision 1.12  2003/12/05 12:40:34  luzik
- updated, clean

Revision 1.11  2003/05/28 13:00:10  malekith
- massive attack: source-md5

Revision 1.10  2003/05/25 06:24:32  misi3k
- massive attack s/pld.org.pl/pld-linux.org/

Revision 1.9  2003/05/14 12:44:32  qboosh
- fixed Source0 name after fixing release

Revision 1.8  2003/05/13 11:25:53  misi3k
- fixed Release

Revision 1.7  2003/05/10 22:28:58  radek
- BR: rpm-perlprov, removed R: perl (NOTE: R: perl-* are probably autogenerated)

Revision 1.6  2003/04/26 18:27:21  malekith
- typo: md5 not mdt (rpmbuild 4.2 chokes on this)

Revision 1.5  2003/04/22 14:50:27  qboosh
- removed COPYING from doc (just GPL)

Revision 1.4  2003/04/21 15:28:21  qboosh
- shortened far too long description, added pl one
- cleanups, missing dirs, fixed %post script
- added todo (put proper perms on files instead of modyfying in %post)

Revision 1.3  2003/04/02 17:23:28  tjbynum
- let us do something useful.

Revision 1.2  2003/03/17 17:26:29  adamg
- s/copyright/license/i

Revision 1.1  2003/02/14 10:54:56  tjbynum
- initial version, spec not ready by now.
